LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Variables
com::sun::star::ui::dialogs::ControlActions Constant Group Referencepublished

Control actions for common and extended controls of a FilePicker. More...

## Variables
const short | ADD_ITEM = 1
| Adds an item to the content of the listbox.
const short | ADD_ITEMS = 2
| Adds a sequence of strings to the content of the listbox.
const short | DELETE_ITEM = 3
| Removes an item from a listbox.
const short | DELETE_ITEMS = 4
| Removes all items from the listbox.
const short | SET_SELECT_ITEM = 5
| Selects an item in a listbox.
const short | GET_ITEMS = 6
| Returns all items of the listbox as a sequence of strings.
const short | GET_SELECTED_ITEM = 7
| Returns the currently selected item.
const short | GET_SELECTED_ITEM_INDEX = 8
| Returns the zero based index of the currently selected item.
const short | SET_HELP_URL = 100
| Sets the help URL of a control.
const short | GET_HELP_URL = 101
| Retrieves the help URL of a control.

## Detailed Description

Control actions for common and extended controls of a FilePicker.

See also
  com::sun::star::ui::dialogs::XFilePickerControlAccess
  com::sun::star::ui::dialogs::CommonFilePickerElementIds
  com::sun::star::ui::dialogs::ExtendedFilePickerElementIds

## Variable Documentation

## ◆ ADD_ITEM

const short ADD_ITEM = 1

Adds an item to the content of the listbox.

The given item has to be a string.

## ◆ ADD_ITEMS

const short ADD_ITEMS = 2

Adds a sequence of strings to the content of the listbox.

## ◆ DELETE_ITEM

const short DELETE_ITEM = 3

Removes an item from a listbox.

The given value has to be a position. If the position is invalid an exception will be thrown. The index of the first position is 0. The value should be a sal_Int32.

## ◆ DELETE_ITEMS

const short DELETE_ITEMS = 4

Removes all items from the listbox.

## ◆ GET_HELP_URL

const short GET_HELP_URL = 101

Retrieves the help URL of a control.

## ◆ GET_ITEMS

const short GET_ITEMS = 6

Returns all items of the listbox as a sequence of strings.

## ◆ GET_SELECTED_ITEM

const short GET_SELECTED_ITEM = 7

Returns the currently selected item.

The returned item is an empty string if the listbox is empty or no item is selected.

## ◆ GET_SELECTED_ITEM_INDEX

const short GET_SELECTED_ITEM_INDEX = 8

Returns the zero based index of the currently selected item.

If the listbox is empty or there is no item selected -1 will be returned. The returned value is a sal_Int32.

## ◆ SET_HELP_URL

const short SET_HELP_URL = 100

Sets the help URL of a control.

## ◆ SET_SELECT_ITEM

const short SET_SELECT_ITEM = 5

Selects an item in a listbox.

The given value has to be a position. The index of the first position is 0. A value of -1 removes the selection. If the given position is invalid an exception will be thrown. The value should be a sal_Int32.